import { Layer } from '@deck.gl/core';
import { RGBA } from '../colors';
import { AccessorObjectInfo, Flow } from '../types';
import { LayerProps } from '../LayerProps';
export interface Props extends LayerProps {
    id: string;
    opacity?: number;
    pickable?: boolean;
    updateTriggers?: {
        [key: string]: {};
    };
    data: Flow[];
    drawOutline: boolean;
    outlineColor?: RGBA;
    outlineThickness?: number;
    currentTime?: number;
    thicknessUnit?: number;
    animationTailLength?: number;
    getSourcePosition?: (d: Flow) => [number, number];
    getTargetPosition?: (d: Flow) => [number, number];
    getStaggering?: (d: Flow, info: AccessorObjectInfo) => number;
    getPickable?: (d: Flow, { index }: {
        index: number;
    }) => number;
    getColor?: (d: Flow) => RGBA;
    getThickness?: (d: Flow) => number;
    getEndpointOffsets?: (d: Flow) => [number, number];
}
export default class AnimatedFlowLinesLayer extends Layer {
    static defaultProps: {
        currentTime: number;
        animationTailLength: number;
        getSourcePosition: {
            type: string;
            value: (d: Flow) => any;
        };
        getTargetPosition: {
            type: string;
            value: (d: Flow) => any;
        };
        getPickable: {
            type: string;
            value: (d: Flow) => number;
        };
        getStaggering: {
            type: string;
            value: (d: Flow, { index }: {
                index: number;
            }) => number;
        };
        getColor: {
            type: string;
            value: RGBA;
        };
        getThickness: {
            type: string;
            value: number;
        };
        thicknessUnit: number;
        parameters: {
            depthTest: boolean;
        };
    };
    constructor(props: Props);
    getShaders(): any;
    initializeState(): void;
    updateState({ props, oldProps, changeFlags }: any): void;
    draw({ uniforms }: any): void;
    _getModel(gl: WebGLRenderingContext): any;
}
//# sourceMappingURL=AnimatedFlowLinesLayer.d.ts.map