import { Layer } from '@deck.gl/core';
import { RGBA } from '../colors';
import { LayerProps } from '../LayerProps';
export declare type FlowCirclesDatum = any;
export interface Props extends LayerProps {
    id: string;
    opacity?: number;
    pickable?: boolean;
    updateTriggers?: {
        [key: string]: {};
    };
    getColor?: (d: FlowCirclesDatum) => RGBA;
    getPosition?: (d: FlowCirclesDatum) => [number, number];
    getRadius?: (d: FlowCirclesDatum) => number;
    data: FlowCirclesDatum[];
}
declare class FlowCirclesLayer extends Layer {
    static layerName: string;
    static defaultProps: {
        getColor: {
            type: string;
            value: number[];
        };
        getPosition: {
            type: string;
            value: (d: FlowCirclesDatum) => any;
        };
        getRadius: {
            type: string;
            value: number;
        };
        parameters: {
            depthTest: boolean;
        };
    };
    props: Props;
    constructor(props: Props);
    getShaders(): any;
    initializeState(): void;
    updateState({ props, oldProps, changeFlags }: any): void;
    draw({ uniforms }: any): void;
    _getModel(gl: WebGLRenderingContext): any;
}
export default FlowCirclesLayer;
//# sourceMappingURL=FlowCirclesLayer.d.ts.map