import { Layer } from '@deck.gl/core';
import { RGBA } from '../colors';
import { Flow } from '../types';
import { LayerProps } from '../LayerProps';
export interface Props extends LayerProps {
    id: string;
    opacity?: number;
    pickable?: boolean;
    updateTriggers?: {
        [key: string]: {};
    };
    data: Flow[];
    drawOutline: boolean;
    outlineColor?: RGBA;
    outlineThickness?: number;
    thicknessUnit?: number;
    getSourcePosition?: (d: Flow) => [number, number];
    getTargetPosition?: (d: Flow) => [number, number];
    getColor?: (d: Flow) => RGBA;
    getThickness?: (d: Flow) => number;
    getPickable?: (d: Flow, { index }: {
        index: number;
    }) => number;
    getEndpointOffsets?: (d: Flow) => [number, number];
}
declare class FlowLinesLayer extends Layer {
    static layerName: string;
    static defaultProps: {
        getSourcePosition: {
            type: string;
            value: (d: Flow) => any;
        };
        getTargetPosition: {
            type: string;
            value: (d: Flow) => any;
        };
        getColor: {
            type: string;
            value: RGBA;
        };
        getThickness: {
            type: string;
            value: (d: Flow) => any;
        };
        getPickable: {
            type: string;
            value: (d: Flow) => number;
        };
        drawOutline: boolean;
        thicknessUnit: number;
        outlineThickness: number;
        outlineColor: number[];
        parameters: {
            depthTest: boolean;
        };
    };
    props: Props;
    constructor(props: Props);
    getShaders(): any;
    initializeState(): void;
    updateState({ props, oldProps, changeFlags }: any): void;
    draw({ uniforms }: any): void;
    _getModel(gl: WebGLRenderingContext): any;
}
export default FlowLinesLayer;
//# sourceMappingURL=FlowLinesLayer.d.ts.map