import { ColorScale, ColorsRGBA, DiffColorsRGBA, RGBA } from './colors';
import { Props } from './FlowMapLayer';
import { Flow, FlowAccessors, Location, LocationAccessors, LocationCircle } from './types';
export declare type InputAccessors = LocationAccessors & FlowAccessors;
export declare type PropsSelector<T> = (props: Props) => T;
export interface LocationTotals {
    incoming: {
        [key: string]: number;
    };
    outgoing: {
        [key: string]: number;
    };
    within: {
        [key: string]: number;
    };
}
export declare type LocationByIdGetter = (id: string) => Location | undefined;
declare class Selectors {
    private inputAccessors;
    constructor(inputAccessors: InputAccessors);
    getColors: PropsSelector<ColorsRGBA | DiffColorsRGBA>;
    getLocationByIdGetter: PropsSelector<LocationByIdGetter>;
    private getFilteredFlows;
    private getNonSelfFlows;
    getSortedNonSelfFlows: PropsSelector<Flow[]>;
    getTopFlows: PropsSelector<Flow[]>;
    getHighlightedFlows: PropsSelector<Flow[] | undefined>;
    private getFlowMagnitudeExtent;
    getFlowThicknessScale: PropsSelector<(magnitude: number) => number | undefined>;
    getFlowColorScale: PropsSelector<ColorScale>;
    getFlowLinesColorGetter(colors: ColorsRGBA | DiffColorsRGBA, flowColorScale: ColorScale, highlighted: boolean, dimmed: boolean): (flow: Flow) => RGBA;
    private getLocationTotals;
    getHighlightedLocationCircles: PropsSelector<LocationCircle[] | undefined>;
    getLocationTotalInGetter: (props: Props) => import("./types").LocationAccessor<number>;
    getLocationTotalOutGetter: (props: Props) => import("./types").LocationAccessor<number>;
    getLocationTotalWithinGetter: (props: Props) => import("./types").LocationAccessor<number>;
    private getLocationMaxAbsTotalGetter;
    private getMaxLocationMaxAbsTotal;
    getLocationCircles: PropsSelector<LocationCircle[]>;
    private getSizeScale;
    getLocationCircleRadiusGetter: PropsSelector<(locCircle: LocationCircle) => number>;
    getLocationCircleColorGetter: PropsSelector<(locCircle: LocationCircle) => RGBA>;
    private isLocationConnectedGetter;
    getLocationAreaFillColorGetter: PropsSelector<(location: Location) => RGBA>;
    setInputAccessors(inputAccessors: InputAccessors): void;
    getInputAccessors(): InputAccessors;
}
export default Selectors;
//# sourceMappingURL=Selectors.d.ts.map